Submit video generation job
curl --request POST \
--url https://api.aireserve.com/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"prompt": "<string>",
"duration_seconds": 30,
"size": "<string>",
"user": "<string>",
"first_frame": "<string>",
"last_frame": "<string>",
"image": "<string>",
"reference_images": [
"<string>"
],
"reference_videos": [
"<string>"
],
"reference_audios": [
"<string>"
],
"audio_url": "<string>",
"video": "<string>",
"images": [
"<string>"
],
"negative_prompt": "<string>",
"resolution": "<string>",
"ratio": "<string>",
"duration": 30,
"audio": true,
"seed": 1073741823,
"prompt_extend": true,
"upscale_factor": 4.5,
"target_language": "<string>"
}
'import requests
url = "https://api.aireserve.com/v1/videos/generations"
payload = {
"model": "<string>",
"prompt": "<string>",
"duration_seconds": 30,
"size": "<string>",
"user": "<string>",
"first_frame": "<string>",
"last_frame": "<string>",
"image": "<string>",
"reference_images": ["<string>"],
"reference_videos": ["<string>"],
"reference_audios": ["<string>"],
"audio_url": "<string>",
"video": "<string>",
"images": ["<string>"],
"negative_prompt": "<string>",
"resolution": "<string>",
"ratio": "<string>",
"duration": 30,
"audio": True,
"seed": 1073741823,
"prompt_extend": True,
"upscale_factor": 4.5,
"target_language": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
prompt: '<string>',
duration_seconds: 30,
size: '<string>',
user: '<string>',
first_frame: '<string>',
last_frame: '<string>',
image: '<string>',
reference_images: ['<string>'],
reference_videos: ['<string>'],
reference_audios: ['<string>'],
audio_url: '<string>',
video: '<string>',
images: ['<string>'],
negative_prompt: '<string>',
resolution: '<string>',
ratio: '<string>',
duration: 30,
audio: true,
seed: 1073741823,
prompt_extend: true,
upscale_factor: 4.5,
target_language: '<string>'
})
};
fetch('https://api.aireserve.com/v1/videos/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Videos
Submit video generation job
Create an async video-generation job
POST
/
v1
/
videos
/
generations
Submit video generation job
curl --request POST \
--url https://api.aireserve.com/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"prompt": "<string>",
"duration_seconds": 30,
"size": "<string>",
"user": "<string>",
"first_frame": "<string>",
"last_frame": "<string>",
"image": "<string>",
"reference_images": [
"<string>"
],
"reference_videos": [
"<string>"
],
"reference_audios": [
"<string>"
],
"audio_url": "<string>",
"video": "<string>",
"images": [
"<string>"
],
"negative_prompt": "<string>",
"resolution": "<string>",
"ratio": "<string>",
"duration": 30,
"audio": true,
"seed": 1073741823,
"prompt_extend": true,
"upscale_factor": 4.5,
"target_language": "<string>"
}
'import requests
url = "https://api.aireserve.com/v1/videos/generations"
payload = {
"model": "<string>",
"prompt": "<string>",
"duration_seconds": 30,
"size": "<string>",
"user": "<string>",
"first_frame": "<string>",
"last_frame": "<string>",
"image": "<string>",
"reference_images": ["<string>"],
"reference_videos": ["<string>"],
"reference_audios": ["<string>"],
"audio_url": "<string>",
"video": "<string>",
"images": ["<string>"],
"negative_prompt": "<string>",
"resolution": "<string>",
"ratio": "<string>",
"duration": 30,
"audio": True,
"seed": 1073741823,
"prompt_extend": True,
"upscale_factor": 4.5,
"target_language": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
prompt: '<string>',
duration_seconds: 30,
size: '<string>',
user: '<string>',
first_frame: '<string>',
last_frame: '<string>',
image: '<string>',
reference_images: ['<string>'],
reference_videos: ['<string>'],
reference_audios: ['<string>'],
audio_url: '<string>',
video: '<string>',
images: ['<string>'],
negative_prompt: '<string>',
resolution: '<string>',
ratio: '<string>',
duration: 30,
audio: true,
seed: 1073741823,
prompt_extend: true,
upscale_factor: 4.5,
target_language: '<string>'
})
};
fetch('https://api.aireserve.com/v1/videos/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Body
application/json
Required string length:
1 - 256Required string length:
1 - 32000Required range:
1 <= x <= 60Pattern:
^\d{3,4}x\d{3,4}$Required string length:
1 - 27962156Required string length:
1 - 27962156Required string length:
1 - 27962156Maximum array length:
10Required string length:
1 - 27962156Maximum array length:
5Required string length:
1 - 4096Pattern:
^https?://Maximum array length:
5Required string length:
1 - 4096Pattern:
^https?://Required string length:
1 - 4096Pattern:
^https?://Required string length:
1 - 4096Pattern:
^https?://Maximum array length:
9Required string length:
1 - 4096Pattern:
^https?://Required string length:
1 - 32000Maximum string length:
16Maximum string length:
16Required range:
1 <= x <= 60Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 8Required string length:
2 - 64Response
200
Default Response